<?php
/*
Plugin Name: Orphans Skip Entries
Plugin URI: http://iworks.pl/tag/sierotka/
Text Domain: sierotki
Description: Allow to skip orphans replacement od selected IDs.
Author: Marcin Pietrzak
Version: 1.0.0
Author URI: http://iworks.pl/
*/
if ( ! class_exists( 'iworks_orphans_skip_entries' ) ) {
	class iworks_orphans_skip_entries {
		/**
		 * List of entries IDs to skip!
		 */
		private $skip_ids_list = array(
			1175,
		);

		public function __construct() {
			add_filter( 'orphan_skip_replacement', array( $this, 'skip' ) );
		}

		public function skip( $status ) {
			if ( ! is_main_query() ) {
				return $status;
			}
			$post_ID = get_the_ID();
			if ( in_array( $post_ID, $this->skip_ids_list ) ) {
				return true;
			}
			return $status;
		}
	}
}

new iworks_orphans_skip_entries;
